summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--bos.sh18
-rw-r--r--t/testlib.sh14
2 files changed, 20 insertions, 12 deletions
diff --git a/bos.sh b/bos.sh
new file mode 100644
index 0000000..fe7fc0d
--- /dev/null
+++ b/bos.sh
@@ -0,0 +1,18 @@
+#!bash
+
+if [[ -z "$bos_inited" ]]; then
+ set -e
+
+ . bos-args.sh
+ . bos-dispatch.sh
+ . bos-namespaces.sh
+ . bos-object-id.sh
+ . bos-base.sh
+ . bos-meta.sh
+ . bos-meta-class.sh
+ . bos-meta-attribute.sh
+ . bos-meta-bootstrap.sh
+ . bos-sugar.sh
+
+ bos_inited=1
+fi
diff --git a/t/testlib.sh b/t/testlib.sh
index 556afd1..aba99cf 100644
--- a/t/testlib.sh
+++ b/t/testlib.sh
@@ -1,16 +1,6 @@
-#!/bin/bash
+#!bash
PS4='[${#FUNCNAME[*]}] ${BASH_SOURCE[0]}:${LINENO} (${FUNCNAME[0]}) +'
-. bos-args.sh
-. bos-dispatch.sh
-. bos-namespaces.sh
-. bos-object-id.sh
-. bos-base.sh
-. bos-meta.sh
-. bos-meta-class.sh
-. bos-meta-attribute.sh
-. bos-meta-bootstrap.sh
-. bos-sugar.sh
-
+. bos.sh
. minitap.sh